Get Contact by Company Id
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| company_id | string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "35d5d627-605d-4816-acfb-23d09458147f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "06af0cd4-53cc-4704-8f76-905c61f76b65",
"company_code": "sample string 5",
"company": {
"id": "26d5edb5-30d5-4481-bfd4-ad34865dde2f",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-14T21:49:52.3298371+00:00",
"sales_territory_id": "85b8874d-2ca5-479a-8bea-dc0f3949f7ce",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "46b6633a-fe7d-4e7b-abb7-3e3ce10a91e2",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "2b038d96-f4e5-4566-ae60-d776e5130152",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "d03b1ef4-1607-4718-b51c-79d1a50834ca",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cc404e4a-cffa-4204-b0ba-60a2151bf6a6",
"db_currency_id": "fd5471fb-f7a2-4c22-83bd-daa381442afa",
"db_language_id": "111ed48e-8830-4ea7-a5d2-5259b8b6249c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T21:49:52.3439805+00:00"
},
"modified_dateutc": "2026-11-14T21:49:52.3439805+00:00"
},
"marketing_segment_id": "71c0ad2d-2bdc-4e80-bfb7-fbcb637303a8",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "68b88e3b-e9b8-4ce8-a915-3e78e5316c50",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "b20369b1-c514-44e9-bf66-bb6b52aaed8e",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "e72e95f9-6554-4df5-87d1-1051a406526e",
"db_country_code": "sample string 28",
"feelist_id": "04661583-a3db-453e-a78b-a2a3fd32942c",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "e141d897-8192-4a8d-b961-2596c16d4f97",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "66acaafd-c461-45ad-baa5-972368111d50",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-14T21:49:52.3625294+00:00",
"db_currency_id": "477b08d4-8bc2-4b95-93bc-ee9443eeb377",
"db_currency_code": "sample string 10"
},
"company_type_id": "ef6c46a6-44cb-46e3-9b5c-c31188700261",
"company_type_name": "sample string 32",
"company_type": {
"id": "89f016ba-3c4f-4c97-8a70-112e898a34c4",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "5d59c580-6357-4aba-a109-e601d12f623c",
"sales_organization_code": "sample string 5"
},
"db_language_id": "613c3ecf-0307-45d1-8970-18effb921193",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "87d618c9-4246-442f-bc66-57921742d1c6",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "27fe429f-e8df-4795-a92c-29dcd00e2d22",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "7daa2d5a-0042-455d-b7ad-beedcfb43349",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-14T21:49:52.3625294+00:00"
},
"company_sector_id": "26d3fa55-dba5-4ed0-8a88-a6e502c59133",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "b59ef166-4086-47ce-a3c4-8c1948e4a142",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "af69f1c6-909b-459c-943c-0cbfa8d90b76",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "727d6375-cecc-4951-80ea-b85814dacf79",
"account_manager_user_code": "sample string 56",
"company_status_id": "8b3b3318-4a0b-4fa5-8034-f90f5eaf3bb9",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-14T21:49:52.3625294+00:00",
"id2": 60
},
"db_language_id": "902a0764-d16c-436a-8307-9126a29089bd",
"db_language_code": "sample string 7",
"db_title_id": "4c559c99-d2a8-4e3d-a68d-46d64b31293f",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-14T21:49:52.3625294+00:00",
"create_date": "2026-11-14T21:49:52.3625294+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-14T21:49:52.3625294+00:00"
}